std::make_signed< _Tp > Struct Template Reference
Utilities » Metaprogramming

`#include <type_traits>`

## Public Types

typedef __make_signed_selector< _Tp >::__type | type

## Detailed Description

template<typename _Tp>
struct std::make_signed< _Tp >

make_signed

Definition at line 1967 of file type_traits.

## Member Typedef Documentation

## type

template<typename _Tp >

typedef __make_signed_selector<_Tp>::__type std::make_signed< _Tp >::type

Definition at line 1968 of file type_traits.

The documentation for this struct was generated from the following file:

- type_traits